org.eclipse.net4j.signal

## Class MonitorCanceledRequest

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor
    - - org.eclipse.net4j.signal.Request
      - - org.eclipse.net4j.signal.MonitorCanceledRequest

- All Implemented Interfaces:
    java.lang.Runnable

      public class MonitorCanceledRequest
      extends Request

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorCanceledRequest(SignalProtocol<?> protocol, int correlationID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `requesting(ExtendedDataOutputStream out)`

    - ### Methods inherited from class org.eclipse.net4j.signal.Request

      `sendAsync`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalActor

      `execute`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitorCanceledRequest

          public MonitorCanceledRequest(SignalProtocol<?> protocol,
                                        int correlationID)

  - ### Method Detail

    - #### requesting

          protected void requesting(ExtendedDataOutputStream out)
                             throws java.lang.Exception

      Specified by:
        `requesting` in class `Request`
      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html